%global glib2_version 2.38.0
%global libsoup_version 2.47.3
%global uhm_api_version 0.0

Summary:        HTTP web service mocking library
Name:           uhttpmock
Version:        0.5.5
Release:        6%{?dist}
License:        LGPLv2
URL:            https://gitlab.com/groups/uhttpmock
Source0:        https://gitlab.freedesktop.org/pwithnall/uhttpmock/-/archive/%{version}/uhttpmock-%{version}.tar.bz2

BuildRequires:  meson
BuildRequires:  glib2-devel >= %{glib2_version} libsoup-devel >= %{libsoup_version}
BuildRequires:  intltool gobject-introspection-devel vala
Requires:       glib2 >= %{glib2_version}
Requires:       libsoup >= %{libsoup_version}

%description
uhttpmock provides a library, libuhttpmock, which implements recording and playback of HTTP 
request–response traces.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides libraries, header files and documentation for developing applications.

%prep
%autosetup

%build
%meson -Dgtk_doc=false -Dintrospection=true -Dvapi=enabled
%meson_build

%check
%meson_test

%install
%meson_install

rm -f %{buildroot}%{_libdir}/*.la

%files
%license COPYING
%doc README NEWS AUTHORS
%{_libdir}/libuhttpmock-%{uhm_api_version}.so.0*
%{_libdir}/girepository-1.0/Uhm-%{uhm_api_version}.typelib

%files devel
%{_includedir}/libuhttpmock-%{uhm_api_version}/
%{_libdir}/libuhttpmock-%{uhm_api_version}.so
%{_libdir}/pkgconfig/libuhttpmock-%{uhm_api_version}.pc
%{_datadir}/gir-1.0/Uhm-%{uhm_api_version}.gir
%{_datadir}/vala/vapi/libuhttpmock-%{uhm_api_version}.deps
%{_datadir}/vala/vapi/libuhttpmock-%{uhm_api_version}.vapi

%changelog
* Fri Jun 13 2025 bbrucezhang <bbrucezhang@tencent.com> - 0.5.5-6
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.5-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.5-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 7 2022 Wang Guodong <gordonwwang@tencent.com> - 0.5.5-1
- package init.
